package mx.gob.jumapacelaya.models.encuestas;

import java.time.LocalDate;

public class MantenimientosSinEncuesta {
    private int mantenimientoId;
    private int planId;
    private LocalDate fecha;
    private String periodo;
    private String tipomant;
    private String departamento;
    private String nomUsuario;
    private String email;
    private String encuesta;
    private boolean tieneToken;

    public MantenimientosSinEncuesta(int mantenimientoId, int planId, LocalDate fecha,
                                     String periodo, String tipomant, String departamento,
                                     String nomUsuario, String email, String encuesta, boolean tieneToken) {

        this.mantenimientoId = mantenimientoId;
        this.planId = planId;
        this.fecha = fecha;
        this.periodo = periodo;
        this.tipomant = tipomant;
        this.departamento = departamento;
        this.nomUsuario = nomUsuario;
        this.email = email;
        this.encuesta = encuesta;
        this.tieneToken = tieneToken;
    }

    public int getMantenimientoId() {
        return mantenimientoId;
    }

    public void setMantenimientoId(int mantenimientoId) {
        this.mantenimientoId = mantenimientoId;
    }

    public int getPlanId() {
        return planId;
    }

    public void setPlanId(int planId) {
        this.planId = planId;
    }

    public LocalDate getFecha() {
        return fecha;
    }

    public void setFecha(LocalDate fecha) {
        this.fecha = fecha;
    }

    public String getPeriodo() {
        return periodo;
    }

    public void setPeriodo(String periodo) {
        this.periodo = periodo;
    }

    public String getTipomant() {
        return tipomant;
    }

    public void setTipomant(String tipomant) {
        this.tipomant = tipomant;
    }

    public String getDepartamento() {
        return departamento;
    }

    public void setDepartamento(String departamento) {
        this.departamento = departamento;
    }

    public String getNomUsuario() {
        return nomUsuario;
    }

    public void setNomUsuario(String nomUsuario) {
        this.nomUsuario = nomUsuario;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getEncuesta() {
        return encuesta;
    }

    public void setEncuesta(String encuesta) {
        this.encuesta = encuesta;
    }

    public boolean isTieneToken() {
        return tieneToken;
    }

    public void setTieneToken(boolean tieneToken) {
        this.tieneToken = tieneToken;
    }
}
